Issue1860

classification
Title: test failures in test_array.py
Type: Severity: normal
Components: Library Versions: Jython 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jeff.allen Nosy List: cjsimpson, fwierzbicki, jeff.allen
Priority: Keywords: test failure causes

Created on 2012-03-20.18:47:49 by fwierzbicki, last changed 2013-11-16.00:26:45 by jeff.allen.

Messages
msg6927 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-03-20.18:47:49
see FIXMEs in test_array.py
msg8135 (view) Author: (cjsimpson) Date: 2013-09-29.16:02:25
I have submitted a pull request which should fix this.

https://bitbucket.org/jython/jython/pull-request/12/fix-for-bug-1860/
msg8176 (view) Author: Jeff Allen (jeff.allen) Date: 2013-11-09.22:54:33
Frank: did you take look at this? I'm working on the same files, so suggest I pull and test the contribution when I'm next "between commits".
msg8177 (view) Author: Jeff Allen (jeff.allen) Date: 2013-11-15.09:35:57
I have this change set in my I&T repo locally for test. If all is well, we should be able to close this. Thanks Chris.

I noticed there was another "1860" skip (using an if statement) at the end of test_delslice, but its cause went away some time ago, I think in http://hg.python.org/jython/rev/cdf3485e1ba6 .
msg8178 (view) Author: Jeff Allen (jeff.allen) Date: 2013-11-16.00:26:45
Now committed as http://hg.python.org/jython/rev/ffa4255db50d . Thanks for finding & fixing.
History
Date User Action Args
2013-11-16 00:26:45jeff.allensetstatus: open -> closed
resolution: fixed
messages: + msg8178
2013-11-15 09:35:58jeff.allensetassignee: jeff.allen
messages: + msg8177
2013-11-09 22:54:34jeff.allensetnosy: + jeff.allen
messages: + msg8176
2013-09-29 16:02:26cjsimpsonsetnosy: + cjsimpson
messages: + msg8135
2013-02-20 00:40:35fwierzbickisetversions: + Jython 2.7, - 2.7a1
2012-03-20 18:47:49fwierzbickicreate